libebook::IMPHeader Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::IMPHeader Class Reference

`#include <IMPHeader.h>`

## Public Member Functions
| IMPHeader (librevenge::RVNGInputStream *input)
unsigned | getVersion () const
IMPColorMode | getColorMode () const
unsigned | getFileCount () const
bool | getCompressed () const
bool | getEncrypted () const
const IMPMetadata & | getMetadata () const
unsigned | getTOCOffset () const

## Static Public Member Functions
static boost::shared_ptr< IMPHeader > | create (librevenge::RVNGInputStream *input)

## Private Member Functions
void | readHeader (librevenge::RVNGInputStream *input)
void | readBookProperties (librevenge::RVNGInputStream *input)

## Private Attributes
unsigned | m_version
IMPColorMode | m_colorMode
unsigned | m_files
unsigned | m_dirNameLength
unsigned | m_remainingBytes
bool | m_compressed
bool | m_encrypted
IMPMetadata | m_metadata

## Constructor & Destructor Documentation

## ◆ IMPHeader()

libebook::IMPHeader::IMPHeader | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

Referenced by create().

## Member Function Documentation

## ◆ create()

boost::shared_ptr< IMPHeader > libebook::IMPHeader::create | ( | librevenge::RVNGInputStream * | input | ) |
| static

## ◆ getColorMode()

IMPColorMode libebook::IMPHeader::getColorMode | ( |  | ) | const

## ◆ getCompressed()

bool libebook::IMPHeader::getCompressed | ( |  | ) | const

Referenced by libebook::IMPParser::createTextStream().

## ◆ getEncrypted()

bool libebook::IMPHeader::getEncrypted | ( |  | ) | const

## ◆ getFileCount()

unsigned libebook::IMPHeader::getFileCount | ( |  | ) | const

Referenced by libebook::IMPResourceDir::IMPResourceDir().

## ◆ getMetadata()

const IMPMetadata & libebook::IMPHeader::getMetadata | ( |  | ) | const

## ◆ getTOCOffset()

unsigned libebook::IMPHeader::getTOCOffset | ( |  | ) | const

Referenced by libebook::IMPResourceDir::IMPResourceDir().

## ◆ getVersion()

unsigned libebook::IMPHeader::getVersion | ( |  | ) | const

Referenced by libebook::IMPResourceDir::IMPResourceDir().

## ◆ readBookProperties()

void libebook::IMPHeader::readBookProperties | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by IMPHeader().

## ◆ readHeader()

void libebook::IMPHeader::readHeader | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by IMPHeader().

## Member Data Documentation

## ◆ m_colorMode

IMPColorMode libebook::IMPHeader::m_colorMode
| private

Referenced by getColorMode(), and readHeader().

## ◆ m_compressed

bool libebook::IMPHeader::m_compressed
| private

Referenced by getCompressed(), and readHeader().

## ◆ m_dirNameLength

unsigned libebook::IMPHeader::m_dirNameLength
| private

Referenced by getTOCOffset(), and readHeader().

## ◆ m_encrypted

bool libebook::IMPHeader::m_encrypted
| private

Referenced by getEncrypted(), and readHeader().

## ◆ m_files

unsigned libebook::IMPHeader::m_files
| private

Referenced by getFileCount(), and readHeader().

## ◆ m_metadata

IMPMetadata libebook::IMPHeader::m_metadata
| private

Referenced by getMetadata(), and readBookProperties().

## ◆ m_remainingBytes

unsigned libebook::IMPHeader::m_remainingBytes
| private

Referenced by getTOCOffset(), readBookProperties(), and readHeader().

## ◆ m_version

unsigned libebook::IMPHeader::m_version
| private

Referenced by getVersion(), and readHeader().

The documentation for this class was generated from the following files:

- IMPHeader.h
- IMPHeader.cpp